# PhasicFlow: src/phasicFlow/typeSelection/virtualConstructor.hpp File Reference

virtualConstructor.hpp File Reference
Include dependency graph for virtualConstructor.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | create_vCtor(baseClass, selectorName, argList, args)
#define | add_vCtor(baseClass, derivedClass, selectorName)

## Macro Definition Documentation

## create_vCtor

#define create_vCtor | ( |  | baseClass,
|  |  | selectorName,
|  |  | argList,
|  |  | args
| ) |  |

Definition at line 31 of file virtualConstructor.hpp.

## add_vCtor

#define add_vCtor | ( |  | baseClass,
|  |  | derivedClass,
|  |  | selectorName
| ) |  |

Value:
\
inline static baseClass::create##selectorName##Callback<derivedClass> baseClass##derivedClass##selectorName##_;

Definition at line 76 of file virtualConstructor.hpp.